Page MenuHomePhabricator

Partially blocked users should not be prevented from using the importImages maintenance script
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

dbarratt created this task.Jul 19 2019, 6:31 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJul 19 2019, 6:31 PM

Change 524581 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Allow partially blocked users to import images

https://gerrit.wikimedia.org/r/524581

Change 524581 merged by jenkins-bot:
[mediawiki/core@master] Allow partially blocked users to import images

https://gerrit.wikimedia.org/r/524581

dom_walden added a subscriber: dom_walden.

I tested calling php maintenance/importImages.php from the command-line with the --check-userblock parameter (which tells it to check if the user is blocked) and --user $user, where $user had a variety of blocks.

$user cannot upload any files if they are sitewide blocked or blocked from the File namespace.

They are also blocked from overwriting (with --overwrite parameter) specific files if they are page blocked from those files.

Otherwise, they can upload files.

Environment
Local VM: MediaWiki 1.34.0-alpha (73cdc59) 05:21, 9 September 2019

dbarratt closed this task as Resolved.Sep 11 2019, 3:27 PM